logical function GTAxisEquivalent(axis1, axis2) result(result)
    use gtgraph_types, only: gt_axis
    use dc_string, only: operator(/=)
    implicit none
    type(gt_axis), intent(in):: axis1
    type(gt_axis), intent(in):: axis2
    result = .false.
    if (axis1%title /= axis2%title) return
    if (axis1%units /= axis2%units) return
    result = .true.
end function
